import md5 from 'js-md5';

export default {
  formatDateString: function (string) {
    var result;
    if (string) {
      if (String(string).indexOf(' ')>-1 && String(string).length == 19) { // '2019-09-17 10:51:22'.length
        result = `${String(string).split(' ')[0]}<br>${String(string).split(' ')[1]}`
      } else {
        result = string
      }
    } else {
      result = '-';
    }
    return result
  },
  formatSecond: function (second) { // 秒 转为 0h 0m 0s
    var h, m, s;
    h = Math.floor(second / 60 / 60);
    m = Math.floor(second / 60 % 60);
    s = Math.floor(second % 60);
    return `${h > 0 ? h + 'h ' : ''}${m > 0 ? m + 'm ' : ''}${s > 0 ? s + 's' : ''}`
  },
  dateFmt: function (date, format) {
    var o = {
      "M+": date.getMonth() + 1, //month
      "d+": date.getDate(),    //day
      "h+": date.getHours(),   //hour
      "m+": date.getMinutes(), //minute
      "s+": date.getSeconds(), //second
      "q+": Math.floor((date.getMonth() + 3) / 3),  //quarter
      "S": date.getMilliseconds() //millisecond
    }
    if (/(y+)/.test(format)) format = format.replace(RegExp.$1,
      (date.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o) if (new RegExp("(" + k + ")").test(format))
      format = format.replace(RegExp.$1,
        RegExp.$1.length == 1 ? o[k] :
          ("00" + o[k]).substr(("" + o[k]).length));
    return format;
  },
  // 将匹配结果替换表情图片
  emotion(res) {
    let word = res.replace(/\#|\;/gi, '')
    const list = ['微笑', '撇嘴', '色', '发呆', '得意', '流泪', '害羞', '闭嘴', '睡', '大哭', '尴尬', '发怒', '调皮', '呲牙', '惊讶', '难过', '酷', '冷汗', '抓狂', '吐', '偷笑', '可爱', '白眼', '傲慢', '饥饿', '困', '惊恐', '流汗', '憨笑', '大兵', '奋斗', '咒骂', '疑问', '嘘', '晕', '折磨', '衰', '骷髅', '敲打', '再见', '擦汗', '抠鼻', '鼓掌', '糗大了', '坏笑', '左哼哼', '右哼哼', '哈欠', '鄙视', '委屈', '快哭了', '阴险', '亲亲', '吓', '可怜', '菜刀', '西瓜', '啤酒', '篮球', '乒乓', '咖啡', '饭', '猪头', '玫瑰', '凋谢', '示爱', '爱心', '心碎', '蛋糕', '闪电', '炸弹', '刀', '足球', '瓢虫', '便便', '月亮', '太阳', '礼物', '拥抱', '强', '弱', '握手', '胜利', '抱拳', '勾引', '拳头', '差劲', '爱你', 'NO', 'OK', '爱情', '飞吻', '跳跳', '发抖', '怄火', '转圈', '磕头', '回头', '跳绳', '挥手', '激动', '街舞', '献吻', '左太极', '右太极']
    let index = list.indexOf(word)
    return `<img src="https://res.wx.qq.com/mpres/htmledition/images/icon/emotion/${index}.gif" align="middle">`
  },
  tipFilter(h, column, tipArr) {
    // console.log(column)
    // console.log(h)
    return h("span", [
      h("span", column.label),
      h(
        "el-tooltip",
        {
          props: {
            effect: "dark",
            content: tipArr[column.label],
            placement: "top"
          }
        },
        [
          h("i", {
            class: "el-icon-question",
            style: "color:#409eff;display:block;"
          })
        ]
      )
    ]);
  },
  md5Code() {
    return md5(JSON.stringify({
      file: md5('file_' + this.dateFmt(new Date(), "yyyy-MM-dd")),
      sing: "singsingenglish21000"
    }))
  }
}
